{
  "accUserMode" : 2,
  "caption" : "模拟表格视图",
  "codeName" : "TESTCustomGridView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTCustomGridView.json",
  "name" : "TESTCustomGridView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSDEViewCodeName" : "CustomGridView",
  "getPSDEViewId" : "744E33D9-25B5-4112-864E-05B51AB0453F",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "view_pagecaption"
    } ],
    "codeName" : "Usr0327926428",
    "controlType" : "VIEWLAYOUTPANEL",
    "hookEventNames" : [ "ONBEFORELOAD" ],
    "layoutMode" : "FLEX",
    "logicName" : "模拟表格视图布局面板",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "onBeforeLoad",
      "itemName" : "CUSTOMGRID",
      "logicTag" : "layoutpanel",
      "logicType" : "APPDEUILOGIC",
      "name" : "gridBeforeLoad",
      "getPSAppDEUILogic" : {
        "modelref" : true,
        "id" : "gridBeforeLoad"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    } ],
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "page_container",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "栅格容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_grid1",
        "getPSLayout" : {
          "layout" : "SIMPLEFLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container1",
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : 3,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "页面标题",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "view_pagecaption",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "view_pagecaption",
              "predefinedType" : "VIEW_PAGECAPTION",
              "renderMode" : "HEADING1",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "hidden" : false,
            "showCaption" : false
          } ]
        }, {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container2",
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : 9,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "工具栏",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "customtoolbar",
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "showCaption" : true
          } ]
        } ],
        "predefinedType" : "CONTAINER_GRID"
      }, {
        "caption" : "搜索表单",
        "itemStyle" : "DEFAULT",
        "itemType" : "CTRLPOS",
        "name" : "customsearchform",
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      }, {
        "caption" : "表格",
        "itemStyle" : "DEFAULT",
        "itemType" : "CTRLPOS",
        "name" : "customgrid",
        "getPSLayoutPos" : {
          "grow" : 1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      } ]
    }, {
      "caption" : "栅格容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_grid",
      "getPSLayout" : {
        "layout" : "SIMPLEFLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "面板容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container",
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "grow" : 1,
          "layout" : "SIMPLEFLEX"
        }
      }, {
        "caption" : "面板容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container3",
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "grow" : 2,
          "layout" : "SIMPLEFLEX"
        }
      }, {
        "caption" : "面板容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container4",
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "grow" : 3,
          "layout" : "SIMPLEFLEX"
        }
      }, {
        "caption" : "面板容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container5",
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "grow" : 6,
          "layout" : "SIMPLEFLEX"
        }
      } ],
      "predefinedType" : "CONTAINER_GRID"
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "2EB29246-7B58-47FB-B35B-2A6B504A2D1E",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSAppViewLogics" : [ {
      "eventNames" : "onViewMounted",
      "logicTrigger" : "VIEWEVENT",
      "logicType" : "APPDEUILOGIC",
      "name" : "LOADGRID",
      "getPSAppDEUILogic" : {
        "modelref" : true,
        "id" : "CustomGridLoad"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    }, {
      "eventNames" : "onBeforeLoad",
      "logicTrigger" : "CTRLEVENT",
      "logicType" : "APPDEUILOGIC",
      "name" : "VIWELOGICBEFORELOAD",
      "getPSAppDEUILogic" : {
        "modelref" : true,
        "id" : "gridBeforeLoad"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSViewCtrlName" : "customgrid"
    }, {
      "eventNames" : "onSearch",
      "logicTrigger" : "CTRLEVENT",
      "logicType" : "APPDEUILOGIC",
      "name" : "SEARCHFORMONSEARCH",
      "getPSAppDEUILogic" : {
        "modelref" : true,
        "id" : "CustomGridLoad"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSViewCtrlName" : "customsearchform"
    }, {
      "eventNames" : "onSelectionChange",
      "logicTrigger" : "CTRLEVENT",
      "logicType" : "APPDEUILOGIC",
      "name" : "GRIDSELECTIONCHANGE",
      "getPSAppDEUILogic" : {
        "modelref" : true,
        "id" : "gridSelectionChange"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSViewCtrlName" : "customgrid"
    } ],
    "getPSAppViewRefs" : [ {
      "name" : "NEWDATA",
      "realTitle" : "测试实体编辑视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
        "viewType" : "DEEDITVIEW"
      }
    } ],
    "getPSControls" : [ {
      "aggMode" : "NONE",
      "codeName" : "CustomGrid",
      "columnEnableFilter" : 2,
      "columnEnableLink" : 2,
      "controlType" : "GRID",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSGRIDS/CustomGrid.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "groupMode" : "NONE",
      "logicName" : "自定义表格",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "GetDraft",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "GetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "数据表格处理器"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "CUSTOMGRID"
      },
      "getPSDEGridColumns" : [ {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "caption" : "测试实体名称",
        "codeName" : "testname",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "testname",
        "excelCaption" : "测试实体名称",
        "name" : "testname",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        },
        "width" : 100,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "caption" : "金额",
        "codeName" : "amount",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "amount",
        "excelCaption" : "金额",
        "name" : "amount",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "AMOUNT",
          "codeName" : "Amount"
        },
        "unitName" : "元",
        "valueFormat" : "%1$,.2f",
        "width" : 100,
        "widthUnit" : "PX",
        "enableSort" : true,
        "enableUnitName" : true
      } ],
      "getPSDEGridDataItems" : [ {
        "dataType" : 25,
        "name" : "testname",
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        }
      }, {
        "format" : "%1$,.2f",
        "dataType" : 6,
        "name" : "amount",
        "getPSAppDEField" : {
          "name" : "AMOUNT",
          "codeName" : "Amount"
        }
      }, {
        "dataType" : 25,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "TESTID",
          "codeName" : "TESTId"
        }
      }, {
        "dataType" : 25,
        "name" : "srfdataaccaction",
        "getPSAppDEField" : {
          "name" : "TESTID",
          "codeName" : "TESTId"
        },
        "dataAccessAction" : true
      }, {
        "dataType" : 25,
        "name" : "srfmajortext",
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        }
      } ],
      "getPSDEGridEditItems" : [ {
        "caption" : "测试实体标识",
        "codeName" : "srfkey",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "TESTID",
          "codeName" : "TESTId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "srfkey"
        },
        "allowEmpty" : true
      } ],
      "pagingSize" : 20,
      "getRemovePSControlAction" : {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "sortMode" : "REMOTE",
      "hasWFDataItems" : false,
      "enableColFilter" : false,
      "enableCustomized" : true,
      "enableGroup" : false,
      "enablePagingBar" : true,
      "enableRowEdit" : false,
      "enableRowEditOrder" : false,
      "enableRowNew" : false,
      "forceFit" : false,
      "hideHeader" : false,
      "noSort" : false,
      "singleSelect" : false,
      "name" : "customgrid",
      "modelid" : "D83EA5ED-0B90-415A-8826-38CA34719E72",
      "modeltype" : "PSDEGRID"
    }, {
      "codeName" : "CustomSearchForm",
      "controlType" : "SEARCHFORM",
      "defaultLabelWidth" : 130,
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSSEARCHFORMS/CustomSearchForm.json",
      "height" : 300.0,
      "logicName" : "自定义搜索表单",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionType" : "FILTERACTION",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterGet"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionType" : "FILTERACTION",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterGetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionType" : "FILTERACTION",
          "name" : "search",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterSearch"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        } ],
        "enableDEFieldPrivilege" : false,
        "id" : "搜索表单处理器"
      },
      "getPSControlParam" : {
        "height" : 300.0,
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "CUSTOMSEARCHFORM"
      },
      "getPSDEFormItems" : [ {
        "id" : "n_testname_like",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        }
      } ],
      "getPSDEFormPages" : [ {
        "caption" : "分页",
        "codeName" : "formpage1",
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMPAGE",
        "name" : "formpage1",
        "getPSDEFormDetails" : [ {
          "caption" : "测试实体名称",
          "codeName" : "n_testname_like",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "n_testname_like",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TESTNAME",
            "codeName" : "TESTName"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "n_testname_like"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "searchButtonStyle" : "DEFAULT",
      "tabHeaderPos" : "TOP",
      "enableAdvanceSearch" : false,
      "enableAutoSearch" : false,
      "enableFilterSave" : false,
      "noTabHeader" : true,
      "name" : "customsearchform",
      "modelid" : "5B22F156-779E-4659-BF19-3B42B6608970",
      "modeltype" : "PSDEFORM_SEARCHFORM"
    }, {
      "codeName" : "CustomGridViewcustomtoolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "自定义工具栏",
      "name" : "customtoolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : {
        "id" : "CUSTOMTOOLBAR"
      },
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TEXT.*.EDIT",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.EDIT]",
          "refFlag" : true
        },
        "caption" : "编辑",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "customtoolbar_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "defaultContent" : "编辑",
            "lanResTag" : "TBB.TEXT.*.EDIT",
            "lanResType" : "TBB.TEXT",
            "name" : "工具栏按钮文本[*.EDIT]",
            "refFlag" : true
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "name" : "表格界面_编辑操作",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "编辑",
            "lanResTag" : "TBB.TOOLTIP.*.EDIT",
            "lanResType" : "TBB.TOOLTIP",
            "name" : "工具栏按钮提示[*.EDIT]",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "编辑",
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TOOLTIP.*.EDIT",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.EDIT]",
          "refFlag" : true
        },
        "uIActionTarget" : "SINGLEKEY",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TEXT.*.NEW",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.NEW]",
          "refFlag" : true
        },
        "caption" : "新建",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction2",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "customtoolbar_deuiaction2"
        },
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "defaultContent" : "新建",
            "lanResTag" : "TBB.TEXT.*.NEW",
            "lanResType" : "TBB.TEXT",
            "name" : "工具栏按钮文本[*.NEW]",
            "refFlag" : true
          },
          "caption" : "新建",
          "codeName" : "New",
          "fullCodeName" : "New",
          "name" : "表格界面_新建操作",
          "getPSSysImage" : {
            "glyph" : "xf0f6@FontAwesome",
            "cssClass" : "fa fa-file-text-o"
          },
          "predefinedType" : "GRIDVIEW_NEWACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "新建",
            "lanResTag" : "TBB.TOOLTIP.*.NEW",
            "lanResType" : "TBB.TOOLTIP",
            "name" : "工具栏按钮提示[*.NEW]",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "New",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "新建",
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TOOLTIP.*.NEW",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.NEW]",
          "refFlag" : true
        },
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "59A640CD-E28E-448B-9613-AB4A2F3174D5",
      "modeltype" : "PSDETOOLBAR"
    }, {
      "caption" : "模拟表格视图",
      "codeName" : "CustomGridViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "title" : "模拟表格视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECUSTOMVIEW",
  "enableDP" : true,
  "modelid" : "0B34E39F-3442-42FD-A89E-4F7CB0F83EA7",
  "modeltype" : "PSAPPDEVIEW"
}